libgphoto2 photo camera library (libgphoto2) API 2.5.31

gphoto2-port-locking.c File Reference

internal header to help with locking e.g. MT-unsafe libltdl More...

`#include <pthread.h>`
`#include <gphoto2/gphoto2-port-locking.h>`
Include dependency graph for gphoto2-port-locking.c:

## Functions
void | gpi_libltdl_lock (void)
void | gpi_libltdl_unlock (void)

## Detailed Description

internal header to help with locking e.g. MT-unsafe libltdl

Author
  Copyright 2017 kadler15 spurf.nosp@m.an15.nosp@m.@gmai.nosp@m.l.co.nosp@m.m
  Copyright 2022 Marcus Meissner
  Copyright 2022 Hans Ulrich Niedermann

License
  This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA